POST
/product/202604/appeals/submit
Appeal Size Chart Verification
Initiates an appeal process for a product that was blocked during the listing phase due to a size chart verification failure. This API is used when a seller believes their product was incorrectly blocked by our automated size chart validation system. The validation checks for three potential issues:
- Whether the size chart contains all mandatory dimensions.
- Whether the size chart covers all Stock-Keeping Units (SKUs) for sale.
- Whether the numerical values within the size chart are valid.
If the validation system detects an issue, the product listing will be blocked. By using this API, sellers can submit an appeal. If the appeal is approved, the block will be lifted, and the seller can re-list the product.
Use the
[Appeal Status Webhook]to monitor the appeal’s progress, or pass theappeal_idto the[Get Appeal Status API]to retrieve the current status. Note:
- Please wait at least 5 minutes after submitting an appeal before checking its status via the API to ensure the data is synchronized.
- You can submit up to 50 appeals per day. Any requests exceeding this limit will be rejected.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
product_id
required
Product_id
integer format: int64
appeal_message
required
Details of the products submitted for appeal
object
field_name
required
The target fields to appeal. Possible values:
- APPEAL_MESSAGE_FIELD_SIZE_CHART
string
indicator_details
required
Indicator details of the products submitted for appeal
Array<object>
object
indicator_type
required
The target indicator_type to appeal of this field. Possible values:
- REQUIRED_DIMENSION:Does the size chart include all required dimensions?
- CONTAINS_ALL_SALE_PROPERTY:Does the size chart cover all sales attributes?“”
- VALUE_RANGE_OUT_OF_RANGE:Are the value ranges in the size chart valid?
string
size_chart_id
Size_chart_id
string
size_chart_image_uri
Uri of size_chart_image
string
Example
{ "product_id": 1729532326804361700, "appeal_message": { "field_name": "APPEAL_MESSAGE_FIELD_SIZE_CHART", "indicator_details": [ { "indicator_type": "CONTAINS_ALL_SALE_PROPERTY" } ], "size_chart_id": "7597302357391361806", "size_chart_image_uri": "tos-alisg-i-aphluv4xwc-sg/ebf6d1b2204a4aa883abb0befb6fee50" }}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
Example
{ "code": 0, "data": {}, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}